GETSID(2) | System Calls Manual | GETSID(2)

# NAME

`getsid` —
get session ID

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

`#include <unistd.h>`

pid_t
`getsid`(pid_t pid);

# DESCRIPTION

The `getsid`() function returns the session ID of the process specified by pid. If pid is 0, the session ID of the calling process is returned. The session ID is defined as the process group ID of the process that is the session leader.

# ERRORS

If an error occurs, `getsid`() returns -1 and the global variable errno is set to indicate the error, as follows:

[`ESRCH`]
  No process can be found corresponding to that specified by pid.

# SEE ALSO

getpgid(2), setsid(2), termios(4)

# STANDARDS

The `getsid`() function conforms to X/Open Portability Guide Issue 4, Version 2 (“XPG4.2”).

April 4, 2011 | NetBSD 9.2